/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workprocesstype.service;

import com.jeeplus.common.persistence.Page;
import com.jeeplus.common.service.CrudService;
import com.jeeplus.modules.workprocesstype.dao.WorkProcessTypeDao;
import com.jeeplus.modules.workprocesstype.entity.WorkProcessType;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 工程控制类型Service
 * @author 马鹏波
 * @version 2018-06-07
 */
@Service
@Transactional(readOnly = true)
public class WorkProcessTypeService extends CrudService<WorkProcessTypeDao, WorkProcessType> {

	public WorkProcessType get(String id) {
		return super.get(id);
	}
	
	public List<WorkProcessType> findList(WorkProcessType workProcessType) {
		return super.findList(workProcessType);
	}
	
	public Page<WorkProcessType> findPage(Page<WorkProcessType> page, WorkProcessType workProcessType) {
		return super.findPage(page, workProcessType);
	}
	
	@Transactional(readOnly = false)
	public void save(WorkProcessType workProcessType) {
		super.save(workProcessType);
	}
	
	@Transactional(readOnly = false)
	public void delete(WorkProcessType workProcessType) {
		super.delete(workProcessType);
	}
	
	
	
	
}